Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.cpu32
Class EPROMMemory

    java.lang.Object
      dioscuri.module.cpu32.Memory
          dioscuri.module.cpu32.AbstractMemory
              dioscuri.module.cpu32.LazyMemory
                  dioscuri.module.cpu32.LazyCodeBlockMemory
                      dioscuri.module.cpu32.EPROMMemory

All Implemented Interfaces:
  ByteArray

    public class EPROMMemory

extends LazyCodeBlockMemory

Author:
  Bram Lohman, Bart Kiers

Field Summary

Fields inherited from class dioscuri.module.cpu32.LazyCodeBlockMemory
`protectedCodeBuffer, realCodeBuffer, virtual8086CodeBuffer`

Constructor Summary
`EPROMMemory(byte[] data, Clock clk)`
`EPROMMemory(byte[] data, int offset, int length, Clock clk)`
`EPROMMemory(int size, int base, byte[] data, int offset, int length, Clock clk)`

Method Summary
`void` | `clear()`
`void` | `copyContentsFrom(int address, byte[] buf, int off, int len)`
`boolean` | `isVolatile()`
`void` | `setByte(int offset, byte data)`
`void` | `setDoubleWord(int offset, int data)`
`void` | `setWord(int offset, short data)`

Methods inherited from class dioscuri.module.cpu32.LazyCodeBlockMemory
`constructCodeBlocksArray, decodeCodeBlockAt, dispose, execute, regionAltered, relinquishCache, setProtectedCodeBlockAt, setRealCodeBlockAt, setVirtual8086CodeBlockAt, toString`

Methods inherited from class dioscuri.module.cpu32.LazyMemory
`copyContentsInto, getByte, getDoubleWord, getSize, getWord, isAllocated, isCacheable`

Methods inherited from class dioscuri.module.cpu32.AbstractMemory
`clear, clearArray, clearArray, getDoubleWord, getDoubleWordInBytes, getLowerDoubleQuadWord, getQuadWord, getQuadWordInBytes, getUpperDoubleQuadWord, getWord, getWordInBytes, setDoubleWordInBytes, setLowerDoubleQuadWord, setQuadWord, setQuadWordInBytes, setUpperDoubleQuadWord, setWordInBytes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPROMMemory

    public EPROMMemory(byte[] data,
                       Clock clk)

Parameters:
  `data` -
  `clk` -

### EPROMMemory

    public EPROMMemory(byte[] data,
                       int offset,
                       int length,
                       Clock clk)

Parameters:
  `data` -
  `offset` -
  `length` -
  `clk` -

### EPROMMemory

    public EPROMMemory(int size,
                       int base,
                       byte[] data,
                       int offset,
                       int length,
                       Clock clk)

Parameters:
  `size` -
  `base` -
  `data` -
  `offset` -
  `length` -
  `clk` -

Method Detail

### setByte

    public void setByte(int offset,
                        byte data)

  Specified by:
    `setByte` in interface `ByteArray`
  Overrides:
    `setByte` in class `LazyCodeBlockMemory`
  Parameters:
    `offset` -
    `data` -

### setWord

    public void setWord(int offset,
                        short data)

  Overrides:
    `setWord` in class `LazyCodeBlockMemory`
  Parameters:
    `offset` -
    `data` -

### setDoubleWord

    public void setDoubleWord(int offset,
                              int data)

  Overrides:
    `setDoubleWord` in class `LazyCodeBlockMemory`
  Parameters:
    `offset` -
    `data` -

### copyContentsFrom

    public void copyContentsFrom(int address,
                                 byte[] buf,
                                 int off,
                                 int len)

  Overrides:
    `copyContentsFrom` in class `LazyCodeBlockMemory`
  Parameters:
    `address` -
    `buf` -
    `off` -
    `len` -

### clear

    public void clear()

  Specified by:
    `clear` in interface `ByteArray`
  Overrides:
    `clear` in class `LazyCodeBlockMemory`

### isVolatile

    public boolean isVolatile()

  Returns:
    -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD